Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055112 - Many basic Norwegian Bokmaal words are no longer recognised
Summary: Many basic Norwegian Bokmaal words are no longer recognised
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hunspell-no
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-18 21:05 UTC by Peter
Modified: 2015-08-04 05:25 UTC (History)
4 users (show)

Fixed In Version: hunspell-no-2.0.10-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-04 05:25:25 UTC


Attachments (Terms of Use)

Description Peter 2014-01-18 21:05:12 UTC
Description of problem:

The most basic of Bokmaal words (a large number) are no longer recognised by hunspell-nb. Most more-complex words, however, are still recognised. This problem has existed for some considerable time and is thought to have started at the transition from Fedora 17 to Fedora 18 or shortly after.


Version-Release number of selected component (if applicable):

The fault described certainly applies to hunspell-nb-2.1-4 (fc18-20) - but also to an unknown number of versions prior to that.


How reproducible:

Recent versions of hunspell-nb always perform in the same deficient manner - as experienced by several users.


Actual results:

The following are examples of basic Bokmaal words which are not recognised:

nåværende; mesteparten; dessverre; deretter; ifølge; ennå; samme; oss; seg; også; og


Additional info:

Users of Fedora 18, 19 and 20 have now reinstalled hunspell-nb-2.0.10-10.fc17 which functions correctly.

The problem is thought to be a Fedora / Red Hat issue only - as it appears not to have been reported in other Norwegian Linux communities.

Comment 1 Wade Berrier 2015-02-12 21:45:02 UTC
I've also encountered this en rhel7.

The additional word I noticed was missing: "mitt"

It appears that this an upstream issue with the Norwegian dictionary.

I've sent a message to their mailing list at:

https://lister.ping.uio.no/pipermail/i18n-no/

(My posting from today hasn't shown up yet)

It seems like that until this gets addressed, the previous version should be used... ?

Comment 2 Wade Berrier 2015-02-12 22:23:23 UTC
I looked at Ubuntu 14.04: they ship myspell-nb, which appears to be an older version: 2.0.10.  Not sure if this is the same as fc17, since the dictionaries are quite different.

Anyway, I post this information to only suggest Ubuntu (maybe other distros?) may not be running into this because they are using an older version.


I'll also paste my mailing list message here for reference since it hasn't show up on the mailing list archives yet:

( https://lister.ping.uio.no/pipermail/i18n-no/ )

----------------------------

Hello,

My end goal is to do Norwegian spell checking within emacs.  Emacs on
my linux distribution (centos7) is using hunspell.  I got that
working, but it turns out there are several basic words that are   
missing from the dictionary.

For example, this command line example shows the issue:
-----------------------------
$ hunspell -d nb_NO
Hunspell 1.3.2
og
& og 10 0: org, tog, log, dog, bog, os, or, ok, om, Ogna

mitt
& mitt 15 0: nitt, mutt, mott, mit, smitt, mett, mint, mist, sitt,
ritt, titt, matt, milt, litt, kitt

min
*
-----------------------------

This is showing that 'og' and 'mitt' were not in the dictionary, but
'min' was.

Sure enough, they are missing from 'nb_NO.dic'.  I noticed that the
previous version (2.0.10) of the dictionary was 4.9 MB, where as the
2.1 version is only 3.9 MB.

Comparing the two files with diffstat:

diff -u 2.0/nb_NO.dic 2.1/nb_NO.dic | diffstat
 nb_NO.dic |77164
 +++-----------------------------------------------------------
 1 file changed, 4500 insertions(+), 72664 deletions(-)

there are a LOT of removed words.

Redhat linux has had this bug report for some time about the new
version missing a lot of words:

https://bugzilla.redhat.com/show_bug.cgi?id=1055112

Has this issue has been noticed before?  Any plans to release an
update?

Thanks,

Wade

Comment 3 Fedora End Of Life 2015-05-29 10:34:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Wade Berrier 2015-05-29 18:21:02 UTC
This is still happening in fedora 22, but it doesn't appear I have rights to change the bug to that version.

Comment 5 Caolan McNamara 2015-06-02 08:30:47 UTC
Is upstream just totally dead here, no new release since 2012 ? Is there any other group who have emerged to provide more comprehensive dictionaries ? Presumably https://addons.mozilla.org/en-us/firefox/addon/norsk-bokm%C3%A5l-ordliste/ it just the same dictionaries rebundled ?

Comment 6 Wade Berrier 2015-06-02 21:24:54 UTC
I did some testing with firefox:

the dictionary from hunspell-nb show the same errors: the above words were counted as misspelled.

Then I installed the dictionary that was linked in the previous comment: it worked as expected.

There were some follow on comments from my post to the norwegian spelling mailing list.  The relevant thread is:

https://lister.ping.uio.no/pipermail/i18n-no/2015-March/008238.html

They suggest it may be a problem with the build system.  Also, that it only seems to be a problem with using hunspell.  aspell and ispell seem to work fine.  I'll have to do more testing in that regard.

Comment 7 Wade Berrier 2015-06-02 21:45:23 UTC
aspell functioned as expected:

----------------------

dnf install aspell aspell-no

# aspell -a -d no
@(#) International Ispell Version 3.1.20 (but really Aspell 0.60.6.1)
jeg
*

og
*

oss
*

seg
*

samme
*

mitt
*

min
*

bread
& bread 6 0: beråd, bred, bredd, breid, bre ad, bre-ad

--------------

But, it looks like they are two different dictionaries...

Comment 8 Wade Berrier 2015-06-02 22:40:34 UTC
Looks like debian (sid) is still shipping the old version (2.0.10):

https://packages.debian.org/source/sid/norwegian

Comment 9 Fedora Update System 2015-07-15 12:07:52 UTC
hunspell-no-2.0.10-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/hunspell-no-2.0.10-1.fc22

Comment 10 Fedora Update System 2015-07-15 12:14:26 UTC
hunspell-no-2.0.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/hunspell-no-2.0.10-1.fc21

Comment 11 Wade Berrier 2015-07-16 20:28:06 UTC
I've verified that the 2.0.10 build works on fedora 22.

Would it be possible to send this update to el7 as well?

Comment 12 Caolan McNamara 2015-07-17 11:04:33 UTC
el7 is not fedora and thus requires a whole different pile of process, you can file the bug for that against RHEL-7 and I can approve that I could fix it, but after that its out of my hands if it will be fixed.

Comment 13 Fedora Update System 2015-07-18 02:02:25 UTC
Package hunspell-no-2.0.10-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hunspell-no-2.0.10-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11711/hunspell-no-2.0.10-1.fc21
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-08-04 05:25:25 UTC
hunspell-no-2.0.10-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.